<?php

namespace App\Http\Controllers\NGL;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Configuracion;
use App\InglesAlumnos;
use App\NGL_AlumnoLiberacion;
use Illuminate\Support\Facades\DB;

class AccesoController extends Controller
{
    public static function acceso(){
        $meses = array("", "Enero","Febrero","Marzo","Abril","Mayo","Junio","Julio","Agosto","Sept.","Octu.","Nov.","Dic.");
        $nuevo_total = 0;
        $ubi_total = 0;
        $liberacion_total = 0;


        //Examen de ubicacion de nuevo ingreso
        $nuevo = Configuracion::where('estado', '1')->where('fecha', '>=', DB::raw('curdate()') )->first();
        if ($nuevo != null) {
            $nuevo->mes = $meses[$nuevo->fecha->format('m')*1];
            $nuevo_total= InglesAlumnos::where('configuracion_id', $nuevo->id)->where('estado', '2')->count();
        }
         
        //Examen de ubicacion de alumnos que pagan
        $ubicacion = Configuracion::where('estado', '4')->where('fecha', '>=', DB::raw('curdate()') )->first();
        if ($ubicacion != null) {
            $ubicacion->mes = $meses[$ubicacion->fecha->format('m')*1];
            $ubi_total= InglesAlumnos::where('configuracion_id', $ubicacion->id)->where('estado', '2')->count();
        }  

        //Examen de liberacion
        $liberacion = Configuracion::where('estado', '2')->where('fecha', '>=', DB::raw('curdate()') )->first();
        if ($liberacion != null) {
            $liberacion->mes = $meses[$liberacion->fecha->format('m')*1];
            $liberacion_total= NGL_AlumnoLiberacion::where('configuracion_id', $liberacion->id)->count();
        }   
        

        //dd($conf);
        return view('examen_ingles.principal', compact(['nuevo', 'nuevo_total', 
                                                        'ubicacion', 'ubi_total', 
                                                        'liberacion', 'liberacion_total']));
    }
}
